## org.springframework.test.context.support
Class GenericXmlContextLoader

    java.lang.Object
      org.springframework.test.context.support.AbstractContextLoader
          org.springframework.test.context.support.AbstractGenericContextLoader
              org.springframework.test.context.support.GenericXmlContextLoader

All Implemented Interfaces:
  ContextLoader

    public class GenericXmlContextLoader

extends AbstractGenericContextLoader

Concrete implementation of `AbstractGenericContextLoader` which reads bean definitions from XML resources.

Since:
  2.5
Author:
  Sam Brannen

Field Summary

Fields inherited from class org.springframework.test.context.support.AbstractGenericContextLoader
`logger`

Constructor Summary
`GenericXmlContextLoader()`

Method Summary
`protected BeanDefinitionReader` `createBeanDefinitionReader(GenericApplicationContext context)` Creates a new `XmlBeanDefinitionReader`.
`String` `getResourceSuffix()` Returns "`-context.xml`".

Methods inherited from class org.springframework.test.context.support.AbstractGenericContextLoader
`customizeBeanFactory, customizeContext, loadContext, prepareContext`

Methods inherited from class org.springframework.test.context.support.AbstractContextLoader
`generateDefaultLocations, isGenerateDefaultLocations, modifyLocations, processLocations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericXmlContextLoader

    public GenericXmlContextLoader()

Method Detail

### createBeanDefinitionReader

    protected BeanDefinitionReader createBeanDefinitionReader(GenericApplicationContext context)

  Creates a new `XmlBeanDefinitionReader`.

  Specified by:
    `createBeanDefinitionReader` in class `AbstractGenericContextLoader`
  Parameters:
    `context` - the context for which the BeanDefinitionReader should be created
  Returns:
    a new XmlBeanDefinitionReader.
  See Also:
    `AbstractGenericContextLoader.createBeanDefinitionReader(GenericApplicationContext)`, `XmlBeanDefinitionReader`

### getResourceSuffix

    public String getResourceSuffix()

  Returns "`-context.xml`".

  Specified by:
    `getResourceSuffix` in class `AbstractContextLoader`
  Returns:
    the resource suffix; should not be `null` or empty
  See Also:
    `AbstractContextLoader.getResourceSuffix()`

Copyright © 2002-2008 The Spring Framework.